#!/bin/sh

#######################################################
#                                                     #
#   File to archive the Survey data base for Samoens  #
#                  by Xavier ROBERT                   #
#                      10/12/31                       #
#                                                     #
#######################################################


# If you want to change the name of the archive
OUTPUT=Borneo2010

# Make the Archive Structure
mkdir $OUTPUT
cp thconfig* $OUTPUT
cp tarngo.sh $OUTPUT
cp README $OUTPUT
mkdir $OUTPUT/CODES
#cp CODES/Tro2Therion.tar.gz $OUTPUT/CODES

# goa kebayan
DIRECTORY=Goa-Kebayan
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY

# goa batukoloy
DIRECTORY=Lubang-Batukoloy
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY

# lubang bayan
DIRECTORY=Lubang-Bayan
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY


# lubang bloh
DIRECTORY=Lubang-Bloh
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY

# lubang gedung
DIRECTORY=Lubang-Gedung
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY


# lubang Gibut
DIRECTORY=Lubang-Gibut
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY


# lubang Landak
DIRECTORY=Lubang-Landak
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY

# lubang pelengas
DIRECTORY=Lubang-Pelengas
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY

# lubang sumur
DIRECTORY=Lubang-Sumur
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY

# lubang tebot
DIRECTORY=Lubang-tebot
mkdir $OUTPUT/$DIRECTORY
cp $DIRECTORY/thconfig* $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.th2 $OUTPUT/$DIRECTORY
cp $DIRECTORY/*.tro $OUTPUT/$DIRECTORY


# Zip the Archive
tar -cvf $OUTPUT.tar $OUTPUT
gzip $OUTPUT.tar

# Clean
rm -r $OUTPUT
